FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian User

 
 
LinkBack Thread Tools
 
Old 01-18-2009, 11:35 PM
"M. Lewis"
 
Default Aptitude help

How can I resolve this dependency?

Aptitude has given up resolving the dependencies. It appears that
linux-kbuild-2-6-28 is not available yet:


moe:/tmp/kde-cajun# apt-cache search linux-kbuild
linux-kbuild-2.6.26 - Kbuild infrastructure for Linux 2.6.26

So how am I to resolve the dependencies by hand as Aptitude suggests as
a solution?


Thanks,
Mike

moe:/tmp/kde-cajun# aptitude install linux-headers-2.6.28-1-all-amd64
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
Reading task descriptions... Done
The following packages are BROKEN:
linux-headers-2.6.28-1-amd64
The following NEW packages will be installed:
linux-headers-2.6.28-1-all-amd64
0 packages upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 791kB of archives. After unpacking 10.8MB will be used.
The following packages have unmet dependencies:
linux-headers-2.6.28-1-amd64: Depends: linux-kbuild-2.6.28 which is a
virtual package.

Unable to resolve dependencies! Giving up...
The following packages are BROKEN:
linux-headers-2.6.28-1-amd64
The following NEW packages will be installed:
linux-headers-2.6.28-1-all-amd64
0 packages upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 791kB of archives. After unpacking 10.8MB will be used.
aptitude failed to find a solution to these dependencies. You can solve
them yourself by hand or type 'n' to quit.

The following packages have unmet dependencies:
linux-headers-2.6.28-1-amd64: Depends: linux-kbuild-2.6.28 which is a
virtual package.

Resolve these dependencies by hand? [N/+/-/_/:/?] n
Abort.
moe:/tmp/kde-cajun#

--

IBM: Incredibly Boring Manuals
18:30:01 up 4:04, 2 users, load average: 0.00, 0.06, 0.08

Linux Registered User #241685 http://counter.li.org


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 01-19-2009, 12:31 AM
"Kelly Clowers"
 
Default Aptitude help

On Sun, Jan 18, 2009 at 16:35, M. Lewis <cajun@cajuninc.com> wrote:
>
> How can I resolve this dependency?
>
> Aptitude has given up resolving the dependencies. It appears that
> linux-kbuild-2-6-28 is not available yet:
>
> moe:/tmp/kde-cajun# apt-cache search linux-kbuild
> linux-kbuild-2.6.26 - Kbuild infrastructure for Linux 2.6.26


I did this a while ago for .27, I had to build a kbuild deb myself.
However a .27 orig.tar.gz is/was available to build from at
http://kernel-archive.buildserver.net/debian-kernel/pool/main/l/linux-kbuild-2.6/

I don't know if the same one could be used or modified and
used for .28 (I have no idea what is in kbuild)

That's all I know on this subject, hope it helps a little.


Cheers,
Kelly Clowers


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 

Thread Tools




All times are GMT. The time now is 03:53 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org